Status

Tree Management
Treeherder
RESOLVED FIXED
2 years ago
2 years ago

People

(Reporter: jgraham, Assigned: jgraham)

Tracking

Details

Attachments

(1 attachment)

(Assignee)

Description

2 years ago
We require a newer grunt-angular-templates in order to work with the features of angular 1.5. Updating also required moving away from the unmaintained grunt-cache-busting to grunt-cache-bust in order to work with the latest version of grunt. In addition updating eslint to 3.9.x was unsuccessful due to https://github.com/eslint/eslint/issues/7473 so this is instead pinned to a 3.8.x version..
Created attachment 8808571 [details] [review]
[treeherder] mozilla:npm_update > mozilla:master
(Assignee)

Updated

2 years ago
Attachment #8808571 - Flags: review?(emorley)
Attachment #8808571 - Flags: review?(emorley) → review+
Assignee: nobody → james

Comment 2

2 years ago
Commits pushed to master at https://github.com/mozilla/treeherder

https://github.com/mozilla/treeherder/commit/b379a107590e29c123a354eefae463d29580c7aa
Bug 1315933 - Update npm dependencies, r=emorley

This is required because the older version of grunt-angular-templates
was hanging with component templates. In order to upgrade everything it
was also necessary to switch from grunt-cache-busting, which is no longer
maintained, to grunt-cache-bust, which is.

https://github.com/mozilla/treeherder/commit/30d3ca1b4882d61f19a237b2fd66796d8c597ed1
Bug 1315933 - Fix eslint errors, r=emorley
Status: NEW → RESOLVED
Last Resolved: 2 years ago
Resolution: --- → FIXED
You need to log in before you can comment on or make changes to this bug.